Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::DomainManagerList_var Class Reference

`#include <DomainC.h>`

List of all members.

## Public Methods
| DomainManagerList_var (void)
| DomainManagerList_var (DomainManagerList *)
| DomainManagerList_var (const DomainManagerList_var &)
| ~DomainManagerList_var (void)
DomainManagerList_var & | operator= (DomainManagerList *)
DomainManagerList_var & | operator= (const DomainManagerList_var &)
DomainManagerList * | operator-> (void)
const DomainManagerList * | operator-> (void) const
| operator const DomainManagerList & () const
| operator DomainManagerList & ()
| operator DomainManagerList & () const
| operator DomainManagerList *& ()
TAO_Object_Manager< DomainManager, DomainManager_var > | operator[] (CORBA::ULong index)
const DomainManagerList & | in (void) const
DomainManagerList & | inout (void)
DomainManagerList *& | out (void)
DomainManagerList * | _retn (void)
DomainManagerList * | ptr (void) const
## Private Attributes
DomainManagerList * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA::DomainManagerList_var::DomainManagerList_var | ( | void |  | ) |

ACE_INLINE CORBA::DomainManagerList_var::DomainManagerList_var | ( | DomainManagerList * | p | ) |

CORBA::DomainManagerList_var::DomainManagerList_var | ( | const DomainManagerList_var & |  | ) |

ACE_INLINE CORBA::DomainManagerList_var::~DomainManagerList_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE::CORBA::DomainManagerList * CORBA::DomainManagerList_var::_retn | ( | void |  | ) |

ACE_INLINE const ::CORBA::DomainManagerList & CORBA::DomainManagerList_var::in | ( | void |  | ) | const

ACE_INLINE::CORBA::DomainManagerList & CORBA::DomainManagerList_var::inout | ( | void |  | ) |

CORBA::DomainManagerList_var::operator const DomainManagerList & | ( |  | ) | const

CORBA::DomainManagerList_var::operator DomainManagerList & | ( |  | ) | const

CORBA::DomainManagerList_var::operator DomainManagerList & | ( |  | ) |

CORBA::DomainManagerList_var::operator DomainManagerList *& | ( |  | ) |

ACE_INLINE const ::CORBA::DomainManagerList * CORBA::DomainManagerList_var::operator-> | ( | void |  | ) | const

ACE_INLINE::CORBA::DomainManagerList * CORBA::DomainManagerList_var::operator-> | ( | void |  | ) |

DomainManagerList_var& CORBA::DomainManagerList_var::operator= | ( | const DomainManagerList_var & |  | ) |

ACE_INLINE CORBA::DomainManagerList_var & CORBA::DomainManagerList_var::operator= | ( | DomainManagerList * | p | ) |

CORBA::DomainManager_var CORBA::DomainManagerList_var::operator[] | ( | CORBA::ULong | index | ) |

ACE_INLINE::CORBA::DomainManagerList *& CORBA::DomainManagerList_var::out | ( | void |  | ) |

ACE_INLINE::CORBA::DomainManagerList * CORBA::DomainManagerList_var::ptr | ( | void |  | ) | const

## Member Data Documentation

DomainManagerList* CORBA::DomainManagerList_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- DomainC.h
- DomainC.i